=== debian/changelog ===
kicad (4.0.5+dfsg1-4) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [375ce2f] Revert "debian/control: decrease Architectures for arch packages"
    + removing the arch specific decrease of the build architecture, it's
      really not useful here (Thx Emilio & Aurelien)
  * [b2c400d] kicad-common.lintian-overrides: ingoring Lintian
    + kicad-common is now arch dependend, silence lintian here that is saying
      kicad-common has only content that is indep but we relay on the python
      package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 25 Jan 2017 22:38:35 +0100

kicad (4.0.5+dfsg1-3) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [1835f2e] debian/control: decrease Architectures for arch packages
    + minimize the platform where kicad should be build, libboost-context-dev
      isn't on all platforms available
  * [4bd0315] manpages: adding missing manpages
  * [d1b0883] debian/copyright: reflect last changes and updates

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 20 Jan 2017 21:51:15 +0100

kicad (4.0.5+dfsg1-2) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [85bda23] kicad-common: make package arch-depended
  * [e38bb91] debian/kicad.install: fix installation of man pages
  * [1e3fc2e] override_dh_fixperms: adding mised call for dh_fixperms

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 16 Jan 2017 18:56:50 +0100

kicad (4.0.5+dfsg1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [cc405a8] debian/control: adding Vcs fields after creating git tree
  * [a5b571d] rework helper script for source tarball creation
  * [e0d8156] debian/kicad.lintian-overrides: be more flexible
  * [f458b82] debian/rules: split dh_fixperms
    (Closes: #847820)
  * [dfd193b] New upstream version 4.0.5+dfsg1
    (Closes: #851000)
  * [47c248a] debian/rules: adjusting KICAD_FULL_VERSION
  * [bb3ec74] rebuild patch queue from patch-queue branch
  * [3d40398] kicad.install: re-adding the existing man pages
  * [e0fdaa1] debian/control: split of B-D package asciidoc
  * [774746f] debian/rules: remove build-arch specific target
  * [3f5b978] debian/control: adding myself to the Uploaders

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 14 Jan 2017 21:45:37 +0100

kicad (4.0.4+dfsg2-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [41a2fdb] create patch-queue branch from the existing patches
  * [22b5df9] debian/gbp.conf: adding helper config for git-buildpackage
  * [3ea2c1d] debian/get-kicad.sh: modify script to get recent versions
  * [eebdef9] New upstream version 4.0.4+dfsg2
  * [3691290] debian/README.source: adjust info about gbp workflow
  * [706c203] debian/control: wrap and sort the entries
  * [a8f2838] place desktop file in favour of a menu files
  * [4f033cf] kicad-doc*: adopt the documentation packages
  * [8d7dd1a] debian/copyright: adjust copyright information
  * [8d417ff] kicad: using the debhelper sequencer file mechanism
  * [38470c3] kicad-common: also using debhelper sequencer files
  * [e4be662] debian/control: adding new helper for dh_python2 support
  * [bb84cb9] debian/watch: adjusting watch URL and filemangle
  * [522a99e] debian/rules: enabling cmake build with some overrides
    (Closes: #833685)
  * [32f83db] debian/kicad.lintian-overrides: some needed overrides
  * [1ce57ed] rebuild patch queue from patch-queue branch
  * [182cc1a] rebuild patch queue from patch-queue branch
  * [5eb0382] kicad: enable the BUILD_GITHUB_PLUGIN (Closes: #820261)
  * [a200091] debian/copyright: adopt changes due libcurl support
  * [6e43839] debian/control: adding explicit python dep for kicad-common
  * [b96a3b7] debian/control: set Multi-Arch: foreign also on Arch: all
  * [6e15016] rebuild patch queue from patch-queue branch
  * [a869507] fix some buildflag hardening issues
  * [95bb23d] rebuild patch queue from patch-queue branch
  * [bc820d2] debian/rules: adding date from changelog to the Asciidoc files

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 15 Nov 2016 09:20:38 +0100

kicad (4.0.4+dfsg1-2) unstable; urgency=medium

  * Removed the spurious dependency on libglew, which should be computed
    automatically by debian helper scripts. Closes: #838536

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 30 Sep 2016 14:46:55 +0200
